unit Model.Conexao;

interface

uses
  System.Classes, System.SysUtils,
  XData.Client;

type
  TModelConexao = class
  private
    // private
  public
    class function ObterInstancia(AUrl: string): TXDataClient;
    class function ObterInstanciaUsuario: TXDataClient;
  end;

var
  fXdataClient: TXDataClient;

implementation

class function TModelConexao.ObterInstancia(AUrl: string): TXDataClient;
begin
  if not Assigned(fXdataClient) then
    fXdataClient := TXDataClient.Create;

  fXdataClient.Uri := 'http://xpointsolucoes3.ddns.net:2550/v1/service';
  Result := fXdataClient;
end;

class function TModelConexao.ObterInstanciaUsuario: TXDataClient;
begin
  if not Assigned(fXdataClient) then
    fXdataClient := TXDataClient.Create;

  fXdataClient.Uri := 'http://xpointsolucoes3.ddns.net:2550/v1/usuario';
  Result := fXdataClient;
end;

initialization

finalization

if Assigned(fXdataClient) then
  FreeAndNil(fXdataClient); // As vezes da ACESS nessa linha quando fecha o Gestor

end.
