unit Model.Token;

interface

uses
  System.Classes, System.SysUtils, Generics.Collections, Sparkle.Utils,
  Entidade.Base_Nuvem_Usuario,
  Model.Conexao;

type
  TModelToken = class
  private
    FEstabelecimento: TEstabelecimento;
    FUsuario: TUsuario;
  public
    function SaveToken: TToken;
    class function GetListaToken(const AUser: TUsuario): TList<TToken>;
    property Estabelecimento: TEstabelecimento read FEstabelecimento write FEstabelecimento;
    property Usuario: TUsuario read FUsuario write FUsuario;
  end;

implementation

{ TModelRelacionamento }

function TModelToken.SaveToken: TToken;
var
  Token: TToken;
begin
  Token := TToken.Create;

  Token.FkUsuario := FUsuario;
  Token.FkEstabelecimento := FEstabelecimento;

  TModelConexao.ObterInstanciaUsuario().Post(Token);

  if Assigned(Token) then
    Result := Token;
end;

class function TModelToken.GetListaToken(const AUser: TUsuario): TList<TToken>;
begin
  //  Result := TModelConexao.ObterInstancia('').List<TToken> //
  //    ('$filter=' + TSparkleUtils.PercentEncode('(FkUsuario eq ' + //
  //    TModelUtilitarios.FormataGuid(AUser.IdUsuario) + ')'));
end;

end.
